2026-02-02  Mike FABIAN  <mfabian@redhat.com>

	* Add a few dz keyboards (Resolves: https://github.com/mike-fabian/langtable/issues/25)
	* Add more translations from CLDR
	* Get translation changes from CLDR
	* Add GS, ady, bqi, isv, kbd, kek, lzz, mww, oka, pi, pms, suz, Suni, si_ID.UTF-8 zgh_MA.UTF-8
	* Add mdf_RU.UTF-8 to RU

2025-07-17  Mike FABIAN  <mfabian@redhat.com>

	* Georgian: add georgian console fonts (by Adam Williamson)
	* Add Gara script and add Adlm script to SN
	* Add dra and Tutg
	* Add ath
	* Add cmc, Cham
	* Add tai
	* Change license tag to SPDX license expression

2024-07-16  Mike FABIAN  <mfabian@redhat.com>

	* Reorder ibus/chewing as the default inputmethod for TW or Hant.
	Resolves: https://github.com/mike-fabian/langtable/pull/22
	See: https://fedoraproject.org/wiki/Changes/IBusChewingForZhTW
	* Add ltg_LV.UTF-8

2024-06-11  Mike FABIAN  <mfabian@redhat.com>

	* Add tool to check which languages, scripts, and territories available in CLDR are missing in langtable
	* Add all missing scripts and languages: yrl, xnr, wbp, vmw, vec, trw, trv, skr, sdh, quc, pis, pcm, myv, mus, moh, mic, mhn, ltg, lmo, lld, kxv, kpe, kgp, ken, kcg, kaj, jbo, gaa, frr, csw, cic, cho, ceb, cch, cad, bss, blt, Tavt blo, bgn, bgc, rhg, Rohg hnj, Hmnp Shaw, Dsrt bew, bal, arn, apc, ann, scn
	* Drop Python < 3 support (using pyupgrade --py3-plus langtable.py)
	* Fix some ruff and pylint warnings

2024-05-07  Mike FABIAN  <mfabian@redhat.com>

	* Fix syntax error in a keyboard layout name for th
	(Resolves: https://github.com/mike-fabian/langtable/issues/21xs)
	* Add mdf
	* Use “in(eng)” keyboard layout instead of “us” for BD to get AltGr enabled
	* Get translation changes from CLDR
	* Add option to include changed translations as well to the script getting translations from CLDR
	* Add reference to the the PyPI package to the README.md.
	And add a README.html and README generated from the README.md.
	* Make test outputs somewhat more verbose, even when all tests pass
	(Resolves: https://github.com/mike-fabian/langtable/pull/20).
	Thanks to Sebastian <seb128@ubuntu.com> for the pull request.
	* Fix Makefile twine-upload target for new authentification

2024-02-08  Mike FABIAN  <mfabian@redhat.com>

	* Add wuu, tok, glk, gbm, ssy
	* Remove aa_ER.UTF-8@saaho
	* Add kv_RU.UTF-8, chr_RU.UTF-8
	* Add EU, EZ
	* Improve README and Makefile (Resolves: https://github.com/mike-fabian/langtable/issues/19)
	* Add more translations from CLDR
	* Get translation changes from CLDR

2023-09-19  Mike FABIAN  <mfabian@redhat.com>

	* Add new public functions list_all_{languages,locales,keyboards,territories,timezones,scripts,input_methods,console_fonts}
	(See also the discussion at: https://gitlab.gnome.org/GNOME/gnome-desktop/-/merge_requests/159)

2023-08-28  Mike FABIAN  <mfabian@redhat.com>

	* Add more translations from CLDR
	* Get translation changes from CLDR
	* Japanese: prefer anthy over kkc
	(Thanks to adam Williamson: https://github.com/mike-fabian/langtable/pull/17)
	* Use skipTerritory also in list_keyboards(), list_consolefonts(), and list_timezones()
	(Resolves: https://github.com/mike-fabian/langtable/issues/18)

2023-05-02  Mike FABIAN  <mfabian@redhat.com>

	* Add more translations from CLDR
	* Get translation changes from CLDR
	* Add Norwegian keyboard layout to keyboards.xml
	* Add Hang script to Southern Aymara

2022-11-24  Mike FABIAN  <mfabian@redhat.com>

	* Add mnw_MM.UTF-8 and ckb_IQ.UTF-8
	* Do not run test cases using Python2 anymore
	* Add bih
	* Add more translations from CLDR

2022-09-21  Mike FABIAN  <mfabian@redhat.com>

	* Add list_common_locales() function
	(Resolves: https://github.com/mike-fabian/langtable/issues/15)
	* For ar_IN locale, langtable should give the 'ara' keyboard layout as the first choice
	(Resolves: Resolves: https://github.com/mike-fabian/langtable/issues/14)

2022-09-06  Mike FABIAN  <mfabian@redhat.com>

	* Add ibus/m17n:ar:kbd as input method for Arabic and fix iso639-1 code for Arabic
	* Get translation changes from CLDR
	* Add more translations from CLDR

2022-04-21  Mike FABIAN  <mfabian@redhat.com>

	* Add syr locale
	* Get translation changes from CLDR
	* Add more translations from CLDR
	* Fix names for keyboard layouts which have changed
	* Add ab_GE locale
	* Add rif language

2022-01-25  Mike FABIAN  <mfabian@redhat.com>

	* Get translation changes from CLDR
	* Add more translations from CLDR
	* Replace “ibus/cangjie” with “ibus/table:cangjie5”
	* Updates for Sami languages (from Marko Myllynen)
	* Updates for Finnish keyboard layouts (from Marko Myllynen)

2021-08-16  Mike FABIAN  <mfabian@redhat.com>

	* Fallback to translations in “xx” from “xx_Zzzz”
	only if “Zzzz” is the main script of “xx”
	(Resolves: https://github.com/mike-fabian/langtable/issues/13)
	* Get translation changes for mt from CLDR

2021-08-11  Mike FABIAN  <mfabian@redhat.com>

	* Get translation changes from CLDR
	* Add more translations from CLDR
	* Make inscript2 instead of inscript input methods the default
	(See: https://fedoraproject.org/wiki/Changes/Enhanced_Inscript_as_default_Indic_IM)
	* Make ibus/m17n:vi:telex the default input method for Vietnames

2020-10-29  Sundeep ANAND <suanand@redhat.com>

	* add list_common_languages derived from gnome-control-center

2020-09-15  Mike FABIAN  <mfabian@redhat.com>

	* Capitalize the return values of language_name() and territory_name()
	(See: https://github.com/rhinstaller/anaconda/pull/2837).
	* Add more translations from CLDR
	* Get translation changes from CLDR

2020-08-17 Sundeep ANAND <suanand@redhat.com>

	* add list_common_keyboards() to public api

2020-01-14  Mike FABIAN  <mfabian@redhat.com>

	* Parse stuff in glibc locale names after @ which is not a script as a variant
	* Add ckb_IQ.UTF-8 locale

2019-12-20  Mike FABIAN  <mfabian@redhat.com>

	* Make parse_locale() return something reasonable for
	C, POSIX, en_US_POSIX, and C.UTF-8
	* Fix exception in language_name() when called with languageId=''

2019-12-12  Mike FABIAN  <mfabian@redhat.com>

	* Add new public function parse_locale()
	* Let info() print a bit more stuff

2019-11-05  Mike FABIAN  <mfabian@redhat.com>

	* Fix typo in mo entry
	* Add mnw
	* Fix translation of IN in te

2019-09-17  Mike FABIAN  <mfabian@redhat.com>

	* Three changed translations into sr_Latn from CLDR
	* Add translations of PL in csb and szl (from native speakers)
	* Add tools/compare_with_glib_source.py script to compare stuff with glibc
	* Add translation of DZ in ber
	* Add translation for MA in ber, ber_Tfng, ber_MA
	* Add translation of MX in nah and nhn
	* Add translation of NP in the
	* Add translation for PH in tl
	* Fix translation of IN in te
	* Add translation of MM in shn
	* Add translation of IN in sat
	* Add translation of IR in az_Arab, az_IR
	* Add translation for NU in niu
	* Add translation of PE in ayc (from glibc)
	* Add translation of PE in agr (from glibc)
	* Fix translation of RU into tt
	* Fix translation of ZA in xh
	* Add translation of IN in mni (from glibc)
	* Add translation of CA in iu (from glibc)
	* Add translation of ET in sid (from glibc)
	* Add translations of ER and ET in gez (from glibc)
	* Add translation of ZA in nr, nso, ss, st, tn, ts, ve (from glibc)
	* Add translation of MV in dv (from glibc)
	* Add translation of CA in ik (from glibc)
	* Add translation of IN in mjw (from glibc)
	* Add translations of TW in cmn, hak, nan, nan_Latn (from glibc)
	* Fix translation of BY in be_Latn to agree with glibc
	* Add translation of NP in bho
	* Add translation of IN in bhb, bho, doi, hif, hne, ks_Deva, mag, raj, sa, sd_Deva
	* Use "Crimean Tatar" instead of "Crimean Turkish" as English translation for crh
	* Use Shuswap instead of "Shuswap langauge" as the English translation of shs
	* Correct capitalization of endonym for ss
	* Fix translations of sr_Latn and sr_Cyrl into sr_Latn
	* Use standard translations of zh and yue from cldr, not the alt='menu' variant
	* Fix endonym of uz_Cyrl to agree with glibc and cldr
	* Change endonym for tcy to agree with glibc (cldr does not have tcy)
	* Change endonym for sid to agree with glibc (cldr does not have sid)
	* Change endonym for sgs to agree with glibc (cldr does not have sgs)
	* Give Olck higher priority than Deva for sat
	* Change endonym for lzh to agree with glibc
	* Change endonym for csb to agree with glibc
	* Change endonym for cmn_Hans from 官话 to 汉语官话 and for cmn_Hant from 官話 to 漢語官話
	* Add endonym for ber_MA
	* Add endonym for az_Arab, az_IR (from az_IR in glibc)
	* Add endonym for fy_NL
	* Fix endonym for nhn and add English name for nhn
	* Fix endonym for pa_Arab (agrees with CLDR now)

2019-09-04  Mike FABIAN  <mfabian@redhat.com>

	* Version 0.0.46 released
	* Add some documentation about the parsing of languageId
	* Adapt test cases to translation changes from CLDR
	* Get translation changes from CLDR
	* Add more translations from CLDR
	* More test cases
	* Add optional boolean parameter “fallback” in language_name() and territory_name()
	* Add translation of ES in an
	* Add dummy translation of IN in ks_Deva
	* Add endonyms for ik, iu, cv, csb, crh, an, ayc, ber, bho
	* Add translation of IT in lij
	* Add endonym for nan_Latn
	* Add endonym for oc and translation of FR in oc
	* Add translations of AW and CW in pap
	* Add endonyms for sat, sa, quz
	* Add translation of IT in sc
	* Add dummy translation of IN in sd_Deva
	* Add endonyms for sid, the
	* Add translations of “Tok Pisin” and “Papua New Guinea” in the Tok Pisin language
	* Add translations of “Walloon” and “Belgium” in the Walloon language
	* Some comments in Makefile
	* Sync langtable.spec with Fedora rawhide

2019-06-11  Mike FABIAN  <mfabian@redhat.com>

	* Version 0.0.45 released
	* “us” is a possible layout for “ZA”, it is used by default for “zu” for example
	* Add “za” keyboard layout for nso, tn, ve
	(Resolves: https://github.com/mike-fabian/langtable/issues/10)
	* Use “us(intl)” keyboard instead of “us” as the default for af and ZA
	(Resolves: https://github.com/mike-fabian/langtable/issues/9)
	* Return number of failed tests in test_cases.py doctests.

2019-05-31  Mike FABIAN  <mfabian@redhat.com>

	* Version 0.0.44 released
	* Use setuptools instead of distutils
	* Add a version() function and an info() function.
	* Restructure langtable project a bit to be able to upload to PyPi
	* Increase the rank of zh_SG.UTF-8 back to 10 again for languageId="zh"

2019-05-09  Mike FABIAN  <mfabian@redhat.com>

	* Version 0.0.43 released
	* Get translation changes from CLDR
	* Add some new translations from CLDR
	* Add dsb_DE.UTF-8 sah_RU.UTF-8 locales
	* Fix ranks for "en" and "zh" in "SG", English should be the default for "SG"
	* Reduce the rank of cmn_TW.UTF-8 and zh_SG.UTF-8 to 0 for languageId="zh"
	(Resolves: https://github.com/mike-fabian/langtable/issues/8)

2019-04-15  Mike FABIAN  <mfabian@redhat.com>

	* Version 0.0.42 released
	* Add special support for languageId ca_ES_VALENCIA (Resolves: rhbz#1698984)

2019-01-29  Mike FABIAN  <mfabian@redhat.com>

	* Version 0.0.41 released
	* Use python3 in "make install"
	* The territory can be 2 upper case letters *or* 3 digits
	* Get translation changes from CLDR
	* Add many languages and territories and also add new translations from CLDR

2019-01-07  Mike FABIAN  <mfabian@redhat.com>

	* Version 0.0.40 released
	* Add Esperanto locale and test case
	(Thanks to Carmen Bianca Bakker <carmen@carmenbianca.eu>).
	* Add sel

2018-10-15  Mike FABIAN  <mfabian@redhat.com>

	* Version 0.0.39 released
	* Add the new keyboard layout "au" for Australia (same as "us")
	* Add locales missing in languages.xml, territiories.xml or in both.
	* Add ibus/libzhuyin and make it the default for TW.
	* Add cmn_TW.UTF-8 to the Chinese locales
	* Add several missing  languages (Resolves: rhbz#1631214): ab av bin bm bua ch co cu ee fat gn ho hz ie ii io kaa ki kj kr kum kwm lah lez mh mo na ng nqo nv ota rm rn sco sg sh sma smn sms sn su syr tw ty tyv vo vot wen yap za

2017-11-06  Mike FABIAN  <mfabian@redhat.com>

	* Version 0.0.38 released
	* Add some new translations from CLDR
	* Add agr, bi, hif, kab, mfe, miq, mjw, shn, sm, to, tpi_PG, yuw, AS, MU, SC, TO, VU, WS
	* Make "tw" the default keyboard layout for zh_TW and cmn_TW (Resolves: rhbz#1387825)

2017-02-08  Mike FABIAN  <mfabian@redhat.com>

	* Version 0.0.37 released
	* Add some new translations from CLDR
	* Add sgs
	* Add chr
	* Add Hung script

2016-07-20  Mike FABIAN  <mfabian@redhat.com>

	* Version 0.0.36 released
	* Add LI (a de_LI locale has recently been added to glibc)
	* Add some translations for LI from CLDR

2016-06-23  Mike FABIAN  <mfabian@redhat.com>

	* Version 0.0.35 released
	* Add some translations from CLDR
	* Translation fix for Cyprus in Turkish (Resolves: rhbz#1349245)
	* Fix script entries for ID and BA
	* Add khb, osa, new, xzh and Bhks and Marc scripts

2015-07-01  Mike FABIAN  <mfabian@redhat.com>

	* Version 0.0.34 released
	* Add a function list_scripts() to list scripts used for a language or in a territory
	* Translation fix from CLDR
	* Add Sphinx markup to public functions

2015-05-13  Mike FABIAN  <mfabian@redhat.com>

	* Version 0.0.33 released
	* Translation fix for Tagalog <-> Filipino (Resolves: rhbz#1220775)
	* Translation fixes from Wikipedia and CLDR

2015-05-12  Mike FABIAN  <mfabian@redhat.com>

	* Version 0.0.32 released
	* Add language endonym for tl (Resolves: rhbz#1220783)
	* Do not package the files in /usr/share/langtable/ twice

2015-03-05  Mike FABIAN  <mfabian@redhat.com>

	* Version 0.0.31 released
	* Fix keyboard for sr_ME ('rs', not 'sr'), by David Shea (Resolves: rhbz#1190078)
	* Add tcy and bhb
	* Add some new translations from CLDR
	* Some translation fixes  from CLDR

2015-01-27  Mike FABIAN  <mfabian@redhat.com>

	* Version 0.0.30 released
	* Make “eurlatgr” the default font for languages and regions which do not need Arabic or Cyrillic or Hebrew script.
	* add ce, raj

2015-01-14  Mike FABIAN  <mfabian@redhat.com>

	* Version 0.0.29 released
	* add CW, cmn, hak, lzh, quz, the

2014-09-24  Mike FABIAN  <mfabian@redhat.com>

	* Version 0.0.28 released
	* Fix main.py to work with Python3
	* Do not used translations tagged with 'variant' in CLDR
	* Rename Uyghur keyboard cn(uig) → cn(ug) (for xkeyboard-config >= 2.12, shipped with Fedora 21 Alpha)

2014-08-27  Mike FABIAN  <mfabian@redhat.com>

	* Version 0.0.27 released
	* Use Hindi again as the default language for India (Resolves: rhbz#1133188)
	* Add some new translations from CLDR
	* Some translation fixes from CLDR

2014-08-25  Mike FABIAN  <mfabian@redhat.com>

	* Version 0.0.26 released
	* Use English as the default language for India (Resolves: rhbz#1133188)

2014-07-09  Mike FABIAN  <mfabian@redhat.com>

	* Version 0.0.25 released
	* Own directory /usr/share/langtable in rpm package (Resolves: rhbz#1100230)
	* Add fi(classic) keyboard layout (Resolves: rhbz#1117860)

2014-02-24  Mike FABIAN  <mfabian@redhat.com>

	* Version 0.0.24 released
	* mark Bengali (bd) and its Probhat variant layout as not ASCII-capable (by Adam Williamson)
	* Also validate timezones.xml and timezoneidparts.xml in .spec file
	* List list_inputmethods() as public API
	* Fall back to returning untranslated timezone id if translation for the requested language does not exist (Resolves: rhbz#1032848)

2013-12-10  Mike FABIAN  <mfabian@redhat.com>

	* Version 0.0.23 released
	* Change English translation for or from “Oriya” to “Odia” (Resolves: rhbz#1039496)
	* Some new translations and translation fixes from CLDR

2013-12-04  Mike FABIAN  <mfabian@redhat.com>

	* Version 0.0.22 released
	* Fix typo in territory and locale for ms (Resolves: rhbz#1038109)
	* add ba, chm, kv, sah, syc, udm, xal
	* add entries for more keyboard layouts known to be non-ASCII

2013-11-21  Mike FABIAN  <mfabian@redhat.com>

	* Version 0.0.21 released
	* Make America/New_York the highest ranked timezone for US and yi (Resolves: rhbz#1031319)

2013-11-20  Mike FABIAN  <mfabian@redhat.com>

	* Version 0.0.20 released
	* add entries for several layouts known to be non-ASCII by systemd/s-c-k (patch by Adam Williamson)

2013-11-11  Mike FABIAN  <mfabian@redhat.com>

	* Version 0.0.19 released
	* Add SS
	* More translations for anp from CLDR
	* Add information about default input methods and a query function

2013-11-04  Mike FABIAN  <mfabian@redhat.com>

	* Version 0.0.18 released.
	* Add anp
	* Do not fail if a timezone id part cannot be found in the database (Vratislav Podzimek reported that error)

2013-10-22  Mike FABIAN  <mfabian@redhat.com>

	* Version 0.0.17 released.
	* Add “be(oss)” as a possible keyboard layout for language nl (Resolves: rhbz#885345)

2013-10-08  Mike FABIAN  <mfabian@redhat.com>

	* Version 0.0.16 released.
	* Make it work with python3 (and keep it working with python2) (Resolves: rhbz#985317)

2013-09-16  Mike FABIAN  <mfabian@redhat.com>

	* Version 0.0.15 released.
	* Add keyboards "ara", "ara(azerty)", "iq", and "sy" (Resolves: rhbz#1008389)

2013-09-15  Mike FABIAN  <mfabian@redhat.com>

	* Version 0.0.14 released.
	* add some more languages: ay, ayc, ayr, niu, szl, nhn
	* make languageId() work even if the name of the language or the territory contain spaces (Resolves: rhbz#1006718)
	* Add the default script if not specified in queries for Chinese
	* Import improved translations from CLDR
	* Always return the territory name as well if queried in language_name()
	* Add timezones.xml and timezoneidparts.xml to be able to offer translations for timezone ids
	* Import translations for timezone cities from CLDR
	* Add some more territories and translations
	* test cases for timezone id translations

2013-09-05  Mike FABIAN  <mfabian@redhat.com>

	* Version 0.0.13 released.
	* Serbian keyboards are 'rs' not 'sr' (by Vratislav Podzimek)

2013-08-28  Mike FABIAN  <mfabian@redhat.com>

	* Version 0.0.12 released.
	* Match case insensitively in languageId() (Resolves: rhbz#1002000 (case insensitive languageId function needed))

2013-08-19  Mike FABIAN  <mfabian@redhat.com>

	* Version 0.0.11 released.
	* Add translations for DE and NL territories in nds (reported by Vratislav Podzimek)

2013-08-13  Mike FABIAN  <mfabian@redhat.com>

	* Version 0.0.10 released.
	* Add translations for Belarusian and Belarus in Latin script (reported by Vratislav Podzimek)

2013-08-03  Mike FABIAN  <mfabian@redhat.com>

	* Version 0.0.9 released.
	* Add endonyms for pa_Arab (and pa_PK) and translation of country name for Pakistan for pa_Arab
	* make languageId() return something even if a language name like "language (territory)" is given (Resolves: rhbz#986659 - some language name to its locale code failed)

2013-07-30  Mike FABIAN  <mfabian@redhat.com>

	* Version 0.0.8 released.
	* Add endonym for Maithili
	* Return True by default from supports_ascii (by Vratislav Podzimek)
	* Add grc, eo, ak, GH, cop, dsb, fj, FJ, haw, hil, la, VA, ln, kg, CD, CG, AO, mos, BF, ny, MW, smj, tet, TL, tpi, PG (Resolves: rhbz#985332 - some language codes are missing)
	* Import more translations from CLDR
	* Give pa_IN.UTF-8 higher weight than pa_PK.UTF-8 (Resolves: rhbz#986658, rhbz#986155)

2013-07-04  Mike FABIAN  <mfabian@redhat.com>

	* Version 0.0.7 released.
	* Add examples for list_consolefonts()
	* Add a list_timezones() function
	* Add functions languageId() and territoryId()
	* Fix some translations of language names to get unique results returned by languageId()

2013-06-12  Mike FABIAN  <mfabian@redhat.com>

	* Version 0.0.6 released.
	* Add RelaxNG schemas for the XML files (Vratislav Podzimek <vpodzime@redhat.com>)
	* Use SAX instead of the ElementTree (Vratislav Podzimek <vpodzime@redhat.com>)
	* Use 'trName' instead of 'name' for translated names (Vratislav Podzimek <vpodzime@redhat.com>)

2013-06-07  Mike FABIAN  <mfabian@redhat.com>

	* Version 0.0.5 released.
	* Accept script names as used by glibc locales as well
	* Support reading gzipped xml files
	* Set ASCII support to “True” for cz and sk keyboard layouts

2013-05-27  Mike FABIAN  <mfabian@redhat.com>

	* Version 0.0.4 released.
	* Remove backwards compatibility init() function
	* Add ia (Interlingua), see https://bugzilla.redhat.com/show_bug.cgi?id=872423

2013-05-16  Mike FABIAN  <mfabian@redhat.com>

	* Version 0.0.3 released.
	* Move the examples from the README to the source code
	* Some tweaks for the translation of Serbian
	* Prefix all global functions and global variables which are internal with “_”
	* Rename country → territory, countries → territories in keyboards.xml
	* Add keyboard “in(eng)” and make it the default for all Indian languages
	* Add a comment stating which functions should be considered public API
	* Add a supports_ascii() function
	* Run Python’s doctest also on langtable.py, not only the extra test_cases.txt
	* Add  License:  tags  to subpackages in .spec file

2013-05-10  Mike FABIAN  <mfabian@redhat.com>

	* Version 0.0.2 released.
	* Prefer values for language, script, and territory found in
	languageId over those found in the other parameters

2013-05-07  Mike FABIAN  <mfabian@redhat.com>

	* Version 0.0.1 released.

